Gift cards
Gift Cards Partial Update
Update a gift card.
Authorization
oauth2 gift_cards:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: gift_cards:write
Path Parameters
id*integer
A unique integer value identifying this gift card.
Header Parameters
X-29next-API-Version*"unstable"
Default
"unstable"Value in
- "unstable"
Response Body
application/json
curl -X PATCH "https://example.com/gift-cards/0/" \ -H "X-29next-API-Version: unstable" \ -H "Content-Type: application/json" \ -d '{}'{ "balance": "string", "created_at": "2019-08-24T14:15:22Z", "currency": "string", "disabled_at": "2019-08-24T14:15:22Z", "expired_at": "2019-08-24T14:15:22Z", "id": 0, "initial": "string", "last_four": "string", "updated_at": "2019-08-24T14:15:22Z", "user": { "accepts_marketing": true, "email": "user@example.com", "first_name": "string", "id": 0, "ip": "string", "language": "string", "last_name": "string", "phone_number": "string", "user_agent": "string" }}